Metrics
Get current metric values
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_branch, delete_branch, create_branch, connect_production_branch, connect_branch
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_branches |
| Database | read_branches |
| Branch | read_branch |
GET
Get current metric values
Authorizations
Path Parameters
Query Parameters
Metric names to retrieve. Pass as metrics[]=name (repeat for multiple), metrics=name, or a comma-separated list (metrics=name,other).
Available options:
planetscale_backup_fetch_percent, planetscale_backup_restore_active, planetscale_dedicated_pgbouncer_cpu_usage, planetscale_dedicated_pgbouncer_current_client_connections, planetscale_dedicated_pgbouncer_current_connections, planetscale_dedicated_pgbouncer_current_server_connections, planetscale_dedicated_pgbouncer_max_connections, planetscale_dedicated_pgbouncer_memory_usage, planetscale_pgbouncer_current_client_connections, planetscale_pgbouncer_current_server_connections, planetscale_pgbouncer_settings_max_client_conn, planetscale_postgres_connection_state, planetscale_postgres_settings_max_connections, planetscale_postgres_settings_max_wal_size_bytes, planetscale_volume_capacity_bytes, planetscale_volume_disk_usage_bytes, planetscale_volume_usage_percentage 
